Package org.silverpeas.components.quickinfo.web

# Class TickerResource

java.lang.Object
org.silverpeas.core.web.rs.RESTWebService
org.silverpeas.components.quickinfo.web.TickerResource

All Implemented Interfaces:
  `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

@WebService @Path("news/ticker") @Authenticated public class TickerResource extends org.silverpeas.core.web.rs.RESTWebService

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

  `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R>`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

  `RESPONSE_HEADER_ARRAYSIZE`

  ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

  `BASE_PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TickerResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentId()`
  `protected String`
  `getResourceBasePath()`
  `List<NewsEntity>`
  `getTickerNews(Integer limit)`
  `void`
  `validateUserAuthentication(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)`

  ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

  `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getLanguage, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

  `validateUserAuthorization`

- ## Constructor Details

  - ### TickerResource

    public TickerResource()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### validateUserAuthentication

    public void validateUserAuthentication(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)

  - ### getTickerNews

    @GET @Produces("application/json") public List<NewsEntity> getTickerNews(@QueryParam("limit") Integer limit)

  - ### getResourceBasePath

    protected String getResourceBasePath()
    Specified by:
      `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`